package com.sdl.trisoft.cxf;

import javax.xml.ws.Holder;

import org.apache.cxf.bus.spring.SpringBusFactory;

import com.sdl.trisoft.service1.ArrayOflong;
import com.sdl.trisoft.service1.ArrayOfstring;
import com.sdl.trisoft.service1.BaseFolder;
import com.sdl.trisoft.service1.DocumentObj;
import com.sdl.trisoft.service1.DocumentObj_Service;

public class TestClient {

	public static void main(String[] args) throws Exception {
		new SpringBusFactory().createBus("cxf.xml");

		final String LOGICAL_ID = "ISHPUBLILLUSTRATIONMISSING";
		
		final DocumentObj_Service service = new DocumentObj_Service();
		final DocumentObj port = service.getCustomBindingDocumentObj1();

		System.out.println("DocumentObj25.GetFolderLocation(...)");
		final Holder<BaseFolder> baseFolder = new Holder<BaseFolder>();
		final Holder<ArrayOfstring> folderPath = new Holder<ArrayOfstring>();
		final Holder<ArrayOflong> folderRefs = new Holder<ArrayOflong>();
		port.folderLocation(LOGICAL_ID, baseFolder, folderPath, folderRefs);

		System.out.println(baseFolder.value.toString());
		for (String folder : folderPath.value.getString()) {
			System.out.println(folder);
		}
		for (Long folderRef : folderRefs.value.getLong()) {
			System.out.println(folderRef);
		}
		
		System.out.println("DocumentObj25.GetMetadata(...)");
		final String language = "en";
		final String resolution = "Low";
		final Holder<String> version = new Holder<String>("1");
		final Holder<String> xmlObjectList = new Holder<String>();
		port.getMetadata(LOGICAL_ID, version, language, resolution, "", xmlObjectList);
		System.out.println(version.value);
		System.out.println(xmlObjectList.value);
	}
}
